Discussion:
Tycho product not including native launchers in 0.11.*
(too old to reply)
Eduardo Kortright
2011-09-22 15:09:37 UTC
Permalink
Hello,

I am new to Tycho, so please excuse my ignorance.

I am working on a project that builds a product using Maven and Tycho. I wanted to upgrade Tycho from version 0.10.0 to 0.11.0 or greater, but for some reason the native launchers that were being included in the product by 0.10.0 are no longer included when running 0.11.0 or 0.11.1.

Here is the slightly modified product XML tag. As you can see, both includeLaunchers and useFeatures are set to true (as mentioned in https://issues.sonatype.org/browse/TYCHO-240).

<product name="XXX" uid="XXX" id="com.xxx.xxxProduct" application="com.xxx.application" version="2.1.0.qualifier" useFeatures="true" includeLaunchers="true">

Can anyone tell me what else I need to do to get Tycho >= 0.11.0 to include the native launchers? There are a number of problems with 0.10.0 that we would very much like to get rid of, but have not been able to because of this problem.

Here is my maven configuration for the Tycho plugins:

<plugins>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>tycho-p2-publisher-plugin</artifactId>
<version>${tycho-version}</version>
<configuration>
<publishArtifacts>true</publishArtifacts>
</configuration>
</plugin>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>tycho-p2-director-plugin</artifactId>
<version>${tycho-version}</version>
<executions>
<execution>
<id>materialize-products</id>
<goals>
<goal>materialize-products</goal>
</goals>
</execution>
<execution>
<id>archive-products</id>
<goals>
<goal>archive-products</goal>
</goals>
</execution>
</executions>
<configuration>
<products>
<product>
<id>XXX</id>
</product>
</products>
</configuration>
</plugin>
</plugins>

Thank you for any help you can give me.


NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Igor Fedorenko
2011-09-22 16:13:58 UTC
Permalink
Are you able to reproduce the problem with recently released tycho 0.13?

--
Regards,
Igor
Post by Eduardo Kortright
Hello,
I am new to Tycho, so please excuse my ignorance.
I am working on a project that builds a product using Maven and Tycho. I
wanted to upgrade Tycho from version 0.10.0 to 0.11.0 or greater, but
for some reason the native launchers that were being included in the
product by 0.10.0 are no longer included when running 0.11.0 or 0.11.1.
Here is the slightly modified product XML tag. As you can see, both
includeLaunchers and useFeatures are set to true (as mentioned in
https://issues.sonatype.org/browse/TYCHO-240).
<product name="XXX" _uid_="XXX" id="com.xxx.xxxProduct"
application="com.xxx.application" version="2.1.0.qualifier"
useFeatures="true" includeLaunchers="true">
Can anyone tell me what else I need to do to get Tycho >= 0.11.0 to
include the native launchers? There are a number of problems with 0.10.0
that we would very much like to get rid of, but have not been able to
because of this problem.
<plugins>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>tycho-p2-publisher-plugin</artifactId>
<version>${tycho-version}</version>
<configuration>
<publishArtifacts>true</publishArtifacts>
</configuration>
</plugin>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>tycho-p2-director-plugin</artifactId>
<version>${tycho-version}</version>
<executions>
<execution>
<id>materialize-products</id>
<goals>
<goal>materialize-products</goal>
</goals>
</execution>
<execution>
<id>archive-products</id>
<goals>
<goal>archive-products</goal>
</goals>
</execution>
</executions>
<configuration>
<products>
<product>
<id>XXX</id>
</product>
</products>
</configuration>
</plugin>
</plugins>
Thank you for any help you can give me.
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Eduardo Kortright
2011-09-22 16:54:23 UTC
Permalink
First of all, thank you for your reply.

I just tried switching to 0.13. The good news is that it looks like it is including the native launchers as it should in the plugins folder of the repository. Unfortunately, the build is now failing with an error:

[INFO] Resolving target platform for project MavenProject: com.xxx.xxx:com.xxx.xxx.product:2.1.0-SNAPSHOT @ C:\development\src\xxx\trunk\xxx.client\com.xxx.xxx.product\pom.xml
[INFO] Cannot complete the request. Generating details.
[INFO] Cannot complete the request. Generating details.
[INFO] {org.osgi.framework.executionenvironment=OSGi/Minimum-1.0,OSGi/Minimum-1.1, osgi.ws=win32, osgi.arch=x86, osgi.os=win32, org.eclipse.update.install.features=true, org.osgi.framework.system.packages=}
[ERROR] Cannot resolve project dependencies:
[ERROR] Software being installed: XXX 2.1.0.qualifier
[ERROR] Missing requirement: XXX 2.1.0.qualifier requires 'org.eclipse.equinox.executable.feature.group 0.0.0' but it could not be found
[ERROR]
[ERROR] Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from XXX 2.1.0.qualifier to org.eclipse.equinox.executable.feature.group 0.0.0.", "No solution found because the problem is unsatisfiable."] -> [Help 1]

I don't see org.eclipse.equinox.executable.feature being referred to anywhere in the project, but everything has always built successfully with Tycho 0.10 and 0.11.

I also just now tested with Tycho 0.12. The build was successful, but the launchers are not included.

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Igor Fedorenko
Sent: Thursday, September 22, 2011 11:14 AM
To: tycho-***@eclipse.org
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Are you able to reproduce the problem with recently released tycho 0.13?

--
Regards,
Igor
Post by Eduardo Kortright
Hello,
I am new to Tycho, so please excuse my ignorance.
I am working on a project that builds a product using Maven and Tycho.
I wanted to upgrade Tycho from version 0.10.0 to 0.11.0 or greater,
but for some reason the native launchers that were being included in
the product by 0.10.0 are no longer included when running 0.11.0 or 0.11.1.
Here is the slightly modified product XML tag. As you can see, both
includeLaunchers and useFeatures are set to true (as mentioned in
https://issues.sonatype.org/browse/TYCHO-240).
<product name="XXX" _uid_="XXX" id="com.xxx.xxxProduct"
application="com.xxx.application" version="2.1.0.qualifier"
useFeatures="true" includeLaunchers="true">
Can anyone tell me what else I need to do to get Tycho >= 0.11.0 to
include the native launchers? There are a number of problems with
0.10.0 that we would very much like to get rid of, but have not been
able to because of this problem.
<plugins>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>tycho-p2-publisher-plugin</artifactId>
<version>${tycho-version}</version>
<configuration>
<publishArtifacts>true</publishArtifacts>
</configuration>
</plugin>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>tycho-p2-director-plugin</artifactId>
<version>${tycho-version}</version>
<executions>
<execution>
<id>materialize-products</id>
<goals>
<goal>materialize-products</goal>
</goals>
</execution>
<execution>
<id>archive-products</id>
<goals>
<goal>archive-products</goal>
</goals>
</execution>
</executions>
<configuration>
<products>
<product>
<id>XXX</id>
</product>
</products>
</configuration>
</plugin>
</plugins>
Thank you for any help you can give me.
NOTICE: This electronic mail message and any files transmitted with it
are intended exclusively for the individual or entity to which it is
addressed. The message, together with any attachment, may contain
confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or
distribution is strictly prohibited. If you have received this message
in error, please immediately advise the sender by reply email and
delete all copies.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Brian de Alwis
2011-09-23 10:40:06 UTC
Permalink
Post by Eduardo Kortright
[ERROR] Software being installed: XXX 2.1.0.qualifier
[ERROR] Missing requirement: XXX 2.1.0.qualifier requires 'org.eclipse.equinox.executable.feature.group 0.0.0' but it could not be found
That feature is what contains the launchers. So it's no surprise you're having difficulties.

Are you specifying a .target definition file? You need to ensure you have the delta pack available.

Otherwise it would help to specify your parent pom.xml. The normal Eclipse p2 repositories (e.g., http://download.eclipse.org/releases/indigo/) has the o.e.e.e feature.

Brian.
Eduardo Kortright
2011-09-23 14:04:46 UTC
Permalink
Hi Brian,

We do have a .target file. The target platform includes the Eclipse Galileo plugins:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository location="http://download.eclipse.org/releases/galileo"/>
</location>

Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?

Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Friday, September 23, 2011 5:40 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
[ERROR] Software being installed: XXX 2.1.0.qualifier
[ERROR] Missing requirement: XXX 2.1.0.qualifier requires 'org.eclipse.equinox.executable.feature.group 0.0.0' but it could not be found
That feature is what contains the launchers. So it's no surprise you're having difficulties.

Are you specifying a .target definition file? You need to ensure you have the delta pack available.

Otherwise it would help to specify your parent pom.xml. The normal Eclipse p2 repositories (e.g., http://download.eclipse.org/releases/indigo/) has the o.e.e.e feature.

Brian.
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Sievers, Jan
2011-09-23 14:56:39 UTC
Permalink
IIRC the executable feature was only added to the release train p2 repository in the helios release.

try adding

<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.equinox.executable.feature.group" version="0.0.0"/>
<repository location="http://download.eclipse.org/releases/helios"/>
</location>


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Freitag, 23. September 2011 16:05
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Hi Brian,

We do have a .target file. The target platform includes the Eclipse Galileo plugins:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository location="http://download.eclipse.org/releases/galileo"/>
</location>

Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?

Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Friday, September 23, 2011 5:40 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
[ERROR] Software being installed: XXX 2.1.0.qualifier
[ERROR] Missing requirement: XXX 2.1.0.qualifier requires 'org.eclipse.equinox.executable.feature.group 0.0.0' but it could not be found
That feature is what contains the launchers. So it's no surprise you're having difficulties.

Are you specifying a .target definition file? You need to ensure you have the delta pack available.

Otherwise it would help to specify your parent pom.xml. The normal Eclipse p2 repositories (e.g., http://download.eclipse.org/releases/indigo/) has the o.e.e.e feature.

Brian.
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Eduardo Kortright
2011-09-23 17:24:35 UTC
Permalink
Hi Jan,

Looks like if I include the executable plugin manually I get a versioning confict (see console output below).

Is there any way to find a version of the o.e.e.e that depends on the same version that the sdk.ide and rcp.configuration plugins are expecting? I tried changing the version of the sdk.ide plugin to 0.0.0 to get the latest, but the result was exactly the same as below.

[INFO] Scanning for projects...
[INFO] Resolving target platform for project MavenProject: com.xxx.xxx:com.xxx.xxx.client:2.1.0-SNAPSHOT @ C:\development\src\xxx\trunk\xxx.client\com.xxx.b
sa.client\pom.xml
[ERROR] Cannot resolve target definition file:
[ERROR] Software being installed: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY
[ERROR] Software being installed: org.eclipse.sdk.ide 3.5.2.M20100211-1343
[ERROR] Only one of the following can be installed at once: [org.eclipse.equinox.launcher.win32.win32.x86 1.1.2.R36x_v20101222, org.eclipse.equinox.launcher.w
in32.win32.x86 1.1.0.v20100503, org.eclipse.equinox.launcher.win32.win32.x86 1.1.1.R36x_v20100810, org.eclipse.equinox.launcher.win32.win32.x86 1.0.200.v20090519]
[ERROR] Cannot satisfy dependency: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.1.2.R36x_v20101222]
[ERROR] Cannot satisfy dependency: org.eclipse.rcp.configuration.feature.group 1.0.0.M20100211-1343 depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.0.200.v20090519]
[ERROR] Cannot satisfy dependency: org.eclipse.sdk.ide 3.5.2.M20100211-1343 depends on: org.eclipse.rcp.configuration.feature.group [1.0.0.M20100211-1343]
[ERROR]
[ERROR] Internal error: java.lang.RuntimeException: Failed to resolve target definition C:\development\src\xxx\trunk\xxx.client\com.xxx.xxx.feature\xxx.target:
[Software being installed: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY, Software being installed: org.eclipse.sdk.ide 3.5.2.M20100211-1343, Only one of the following can be installed at once: [org.eclipse.equinox.launcher.win32.win32.x86 1.1.2.R36x_v20101222, org.eclipse.equinox.launcher.win32.win32.x86 1.1.0.v20100503, org.eclipse.equinox.launcher.win32.win32.x86 1.1.1.R36x_v20100810, org.eclipse.equinox.launcher.win32.win32.x86 1.0.200.v20090519], Cannot satisfy dependency: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.1.2.R36x_v20101222], Cannot satisfy dependency: org.eclipse.rcp.configuration.feature.group 1.0.0.M20100211-1343
depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.0.200.v20090519], Cannot satisfy dependency: org.eclipse.sdk.ide 3.5.2.M20100211-1343 depends on: org.eclipse.rcp.configuration.feature.group [1.0.0.M20100211-1343]] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: Failed to resolve target definition C:\development\src\xxx\trunk\xxx.client\com.xxx.xxx.feature\xxx.target
. . .
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Friday, September 23, 2011 9:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

IIRC the executable feature was only added to the release train p2 repository in the helios release.

try adding

<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.equinox.executable.feature.group" version="0.0.0"/>
<repository location="http://download.eclipse.org/releases/helios"/>
</location>


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Freitag, 23. September 2011 16:05
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Hi Brian,

We do have a .target file. The target platform includes the Eclipse Galileo plugins:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository location="http://download.eclipse.org/releases/galileo"/>
</location>

Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?

Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Friday, September 23, 2011 5:40 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
[ERROR] Software being installed: XXX 2.1.0.qualifier
[ERROR] Missing requirement: XXX 2.1.0.qualifier requires 'org.eclipse.equinox.executable.feature.group 0.0.0' but it could not be found
That feature is what contains the launchers. So it's no surprise you're having difficulties.

Are you specifying a .target definition file? You need to ensure you have the delta pack available.

Otherwise it would help to specify your parent pom.xml. The normal Eclipse p2 repositories (e.g., http://download.eclipse.org/releases/indigo/) has the o.e.e.e feature.

Brian.
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Sievers, Jan
2011-09-23 18:28:15 UTC
Permalink
looking at http://wiki.eclipse.org/Eclipse_Project_Update_Sites
again I think that p2 repo

http://download.eclipse.org/eclipse/updates/3.5

may have the version of o.e.e.e you need.

BTW searching for something in p2 repos is far from obvious/impossible and will hopefully be improved with
http://wiki.eclipse.org/Equinox/Plan/Juno/p2#User_interaction

Regards,
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Freitag, 23. September 2011 19:25
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Hi Jan,

Looks like if I include the executable plugin manually I get a versioning confict (see console output below).

Is there any way to find a version of the o.e.e.e that depends on the same version that the sdk.ide and rcp.configuration plugins are expecting? I tried changing the version of the sdk.ide plugin to 0.0.0 to get the latest, but the result was exactly the same as below.

[INFO] Scanning for projects...
[INFO] Resolving target platform for project MavenProject: com.xxx.xxx:com.xxx.xxx.client:2.1.0-SNAPSHOT @ C:\development\src\xxx\trunk\xxx.client\com.xxx.b
sa.client\pom.xml
[ERROR] Cannot resolve target definition file:
[ERROR] Software being installed: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY
[ERROR] Software being installed: org.eclipse.sdk.ide 3.5.2.M20100211-1343
[ERROR] Only one of the following can be installed at once: [org.eclipse.equinox.launcher.win32.win32.x86 1.1.2.R36x_v20101222, org.eclipse.equinox.launcher.w
in32.win32.x86 1.1.0.v20100503, org.eclipse.equinox.launcher.win32.win32.x86 1.1.1.R36x_v20100810, org.eclipse.equinox.launcher.win32.win32.x86 1.0.200.v20090519]
[ERROR] Cannot satisfy dependency: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.1.2.R36x_v20101222]
[ERROR] Cannot satisfy dependency: org.eclipse.rcp.configuration.feature.group 1.0.0.M20100211-1343 depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.0.200.v20090519]
[ERROR] Cannot satisfy dependency: org.eclipse.sdk.ide 3.5.2.M20100211-1343 depends on: org.eclipse.rcp.configuration.feature.group [1.0.0.M20100211-1343]
[ERROR]
[ERROR] Internal error: java.lang.RuntimeException: Failed to resolve target definition C:\development\src\xxx\trunk\xxx.client\com.xxx.xxx.feature\xxx.target:
[Software being installed: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY, Software being installed: org.eclipse.sdk.ide 3.5.2.M20100211-1343, Only one of the following can be installed at once: [org.eclipse.equinox.launcher.win32.win32.x86 1.1.2.R36x_v20101222, org.eclipse.equinox.launcher.win32.win32.x86 1.1.0.v20100503, org.eclipse.equinox.launcher.win32.win32.x86 1.1.1.R36x_v20100810, org.eclipse.equinox.launcher.win32.win32.x86 1.0.200.v20090519], Cannot satisfy dependency: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.1.2.R36x_v20101222], Cannot satisfy dependency: org.eclipse.rcp.configuration.feature.group 1.0.0.M20100211-1343
depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.0.200.v20090519], Cannot satisfy dependency: org.eclipse.sdk.ide 3.5.2.M20100211-1343 depends on: org.eclipse.rcp.configuration.feature.group [1.0.0.M20100211-1343]] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: Failed to resolve target definition C:\development\src\xxx\trunk\xxx.client\com.xxx.xxx.feature\xxx.target
. . .
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Friday, September 23, 2011 9:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

IIRC the executable feature was only added to the release train p2 repository in the helios release.

try adding

<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.equinox.executable.feature.group" version="0.0.0"/>
<repository location="http://download.eclipse.org/releases/helios"/>
</location>


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Freitag, 23. September 2011 16:05
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Hi Brian,

We do have a .target file. The target platform includes the Eclipse Galileo plugins:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository location="http://download.eclipse.org/releases/galileo"/>
</location>

Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?

Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Friday, September 23, 2011 5:40 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
[ERROR] Software being installed: XXX 2.1.0.qualifier
[ERROR] Missing requirement: XXX 2.1.0.qualifier requires 'org.eclipse.equinox.executable.feature.group 0.0.0' but it could not be found
That feature is what contains the launchers. So it's no surprise you're having difficulties.

Are you specifying a .target definition file? You need to ensure you have the delta pack available.

Otherwise it would help to specify your parent pom.xml. The normal Eclipse p2 repositories (e.g., http://download.eclipse.org/releases/indigo/) has the o.e.e.e feature.

Brian.
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Eduardo Kortright
2011-09-23 20:36:36 UTC
Permalink
Well, I added http://download.eclipse.org/eclipse/updates/3.5 using Eclipse's target editor. I did not see anything named anything like o.e.e.e, but in a fit of desperation I edited the file by hand and added o.e.e.e with version 0.0.0, which made something named "Eclipse Platform Launchers" show up on the list; after a few more errors and using the target editor again I ended up adding this to the .target file:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.equinox.executable.feature.group" version="3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn"/>
<repository location="http://download.eclipse.org/eclipse/updates/3.5"/>
</location>

This made the build stop complaining about the o.e.e.e. depending on a different launcher from the sdk.ide/rcp.configuration plugins.

Unfortunately, now I am getting compilation errors. Among other things, classes from the packages org.eclipse.ui.forms.events and org.eclipse.ui.forms.widgets cannot be resolved.

Not sure why adding a launcher to the target affects other plugin dependencies--is it pulling in some other version of o.e.ui.forms that is missing some classes?

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Friday, September 23, 2011 1:28 PM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

looking at http://wiki.eclipse.org/Eclipse_Project_Update_Sites
again I think that p2 repo

http://download.eclipse.org/eclipse/updates/3.5

may have the version of o.e.e.e you need.

BTW searching for something in p2 repos is far from obvious/impossible and will hopefully be improved with http://wiki.eclipse.org/Equinox/Plan/Juno/p2#User_interaction

Regards,
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Freitag, 23. September 2011 19:25
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Hi Jan,

Looks like if I include the executable plugin manually I get a versioning confict (see console output below).

Is there any way to find a version of the o.e.e.e that depends on the same version that the sdk.ide and rcp.configuration plugins are expecting? I tried changing the version of the sdk.ide plugin to 0.0.0 to get the latest, but the result was exactly the same as below.

[INFO] Scanning for projects...
[INFO] Resolving target platform for project MavenProject: com.xxx.xxx:com.xxx.xxx.client:2.1.0-SNAPSHOT @ C:\development\src\xxx\trunk\xxx.client\com.xxx.b
sa.client\pom.xml
[ERROR] Cannot resolve target definition file:
[ERROR] Software being installed: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY
[ERROR] Software being installed: org.eclipse.sdk.ide 3.5.2.M20100211-1343
[ERROR] Only one of the following can be installed at once: [org.eclipse.equinox.launcher.win32.win32.x86 1.1.2.R36x_v20101222, org.eclipse.equinox.launcher.w
in32.win32.x86 1.1.0.v20100503, org.eclipse.equinox.launcher.win32.win32.x86 1.1.1.R36x_v20100810, org.eclipse.equinox.launcher.win32.win32.x86 1.0.200.v20090519]
[ERROR] Cannot satisfy dependency: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.1.2.R36x_v20101222]
[ERROR] Cannot satisfy dependency: org.eclipse.rcp.configuration.feature.group 1.0.0.M20100211-1343 depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.0.200.v20090519]
[ERROR] Cannot satisfy dependency: org.eclipse.sdk.ide 3.5.2.M20100211-1343 depends on: org.eclipse.rcp.configuration.feature.group [1.0.0.M20100211-1343]
[ERROR]
[ERROR] Internal error: java.lang.RuntimeException: Failed to resolve target definition C:\development\src\xxx\trunk\xxx.client\com.xxx.xxx.feature\xxx.target:
[Software being installed: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY, Software being installed: org.eclipse.sdk.ide 3.5.2.M20100211-1343, Only one of the following can be installed at once: [org.eclipse.equinox.launcher.win32.win32.x86 1.1.2.R36x_v20101222, org.eclipse.equinox.launcher.win32.win32.x86 1.1.0.v20100503, org.eclipse.equinox.launcher.win32.win32.x86 1.1.1.R36x_v20100810, org.eclipse.equinox.launcher.win32.win32.x86 1.0.200.v20090519], Cannot satisfy dependency: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.1.2.R36x_v20101222], Cannot satisfy dependency: org.eclipse.rcp.configuration.feature.group 1.0.0.M20100211-1343 depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.0.200.v20090519], Cannot satisfy dependency: org.eclipse.sdk.ide 3.5.2.M20100211-1343 depends on: org.eclipse.rcp.configuration.feature.group [1.0.0.M20100211-1343]] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: Failed to resolve target definition C:\development\src\xxx\trunk\xxx.client\com.xxx.xxx.feature\xxx.target
. . .
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Friday, September 23, 2011 9:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

IIRC the executable feature was only added to the release train p2 repository in the helios release.

try adding

<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.equinox.executable.feature.group" version="0.0.0"/>
<repository location="http://download.eclipse.org/releases/helios"/>
</location>


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Freitag, 23. September 2011 16:05
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Hi Brian,

We do have a .target file. The target platform includes the Eclipse Galileo plugins:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository location="http://download.eclipse.org/releases/galileo"/>
</location>

Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?

Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Friday, September 23, 2011 5:40 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
[ERROR] Software being installed: XXX 2.1.0.qualifier
[ERROR] Missing requirement: XXX 2.1.0.qualifier requires 'org.eclipse.equinox.executable.feature.group 0.0.0' but it could not be found
That feature is what contains the launchers. So it's no surprise you're having difficulties.

Are you specifying a .target definition file? You need to ensure you have the delta pack available.

Otherwise it would help to specify your parent pom.xml. The normal Eclipse p2 repositories (e.g., http://download.eclipse.org/releases/indigo/) has the o.e.e.e feature.

Brian.
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Igor Fedorenko
2011-09-23 20:40:40 UTC
Permalink
If you want to browse content of p2 repositories, search for IUs by
their ids or provided capabilities, you can try [1] I wrote some time ago.

https://github.com/ifedorenko/p2-browser

--
Regards,
Igor
Post by Sievers, Jan
looking at http://wiki.eclipse.org/Eclipse_Project_Update_Sites
again I think that p2 repo
http://download.eclipse.org/eclipse/updates/3.5
may have the version of o.e.e.e you need.
BTW searching for something in p2 repos is far from obvious/impossible and will hopefully be improved with
http://wiki.eclipse.org/Equinox/Plan/Juno/p2#User_interaction
Regards,
Jan
-----Original Message-----
Sent: Freitag, 23. September 2011 19:25
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Hi Jan,
Looks like if I include the executable plugin manually I get a versioning confict (see console output below).
Is there any way to find a version of the o.e.e.e that depends on the same version that the sdk.ide and rcp.configuration plugins are expecting? I tried changing the version of the sdk.ide plugin to 0.0.0 to get the latest, but the result was exactly the same as below.
[INFO] Scanning for projects...
sa.client\pom.xml
[ERROR] Software being installed: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY
[ERROR] Software being installed: org.eclipse.sdk.ide 3.5.2.M20100211-1343
[ERROR] Only one of the following can be installed at once: [org.eclipse.equinox.launcher.win32.win32.x86 1.1.2.R36x_v20101222, org.eclipse.equinox.launcher.w
in32.win32.x86 1.1.0.v20100503, org.eclipse.equinox.launcher.win32.win32.x86 1.1.1.R36x_v20100810, org.eclipse.equinox.launcher.win32.win32.x86 1.0.200.v20090519]
[ERROR] Cannot satisfy dependency: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.1.2.R36x_v20101222]
[ERROR] Cannot satisfy dependency: org.eclipse.rcp.configuration.feature.group 1.0.0.M20100211-1343 depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.0.200.v20090519]
[ERROR] Cannot satisfy dependency: org.eclipse.sdk.ide 3.5.2.M20100211-1343 depends on: org.eclipse.rcp.configuration.feature.group [1.0.0.M20100211-1343]
[ERROR]
[Software being installed: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY, Software being installed: org.eclipse.sdk.ide 3.5.2.M20100211-1343, Only one of the following can be installed at once: [org.eclipse.equinox.launcher.win32.win32.x86 1.1.2.R36x_v20101222, org.eclipse.equinox.launcher.win32.win32.x86 1.1.0.v20100503, org.eclipse.equinox.launcher.win32.win32.x86 1.1.1.R36x_v20100810, org.eclipse.equinox.launcher.win32.win32.x86 1.0.200.v20090519], Cannot satisfy dependency: org.eclipse.equinox.executable.feature.group 3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.1.2.R36x_v20101222], Cannot satisfy dependency: org.eclipse.rcp.configuration.feature.group 1.0.0.M20100211-1343
depends on: org.eclipse.equinox.launcher.win32.win32.x86 [1.0.200.v20090519], Cannot satisfy dependency: org.eclipse.sdk.ide 3.5.2.M20100211-1343 depends on: org.eclipse.rcp.configuration.feature.group [1.0.0.M20100211-1343]] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: Failed to resolve target definition C:\development\src\xxx\trunk\xxx.client\com.xxx.xxx.feature\xxx.target
. . .
--
Eduardo
-----Original Message-----
Sent: Friday, September 23, 2011 9:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
IIRC the executable feature was only added to the release train p2 repository in the helios release.
try adding
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.equinox.executable.feature.group" version="0.0.0"/>
<repository location="http://download.eclipse.org/releases/helios"/>
</location>
-----Original Message-----
Sent: Freitag, 23. September 2011 16:05
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Hi Brian,
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository location="http://download.eclipse.org/releases/galileo"/>
</location>
Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?
Eduardo
-----Original Message-----
Sent: Friday, September 23, 2011 5:40 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
[ERROR] Software being installed: XXX 2.1.0.qualifier
[ERROR] Missing requirement: XXX 2.1.0.qualifier requires 'org.eclipse.equinox.executable.feature.group 0.0.0' but it could not be found
That feature is what contains the launchers. So it's no surprise you're having difficulties.
Are you specifying a .target definition file? You need to ensure you have the delta pack available.
Otherwise it would help to specify your parent pom.xml. The normal Eclipse p2 repositories (e.g., http://download.eclipse.org/releases/indigo/) has the o.e.e.e feature.
Brian.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Brian de Alwis
2011-09-26 15:58:15 UTC
Permalink
Post by Eduardo Kortright
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository location="http://download.eclipse.org/releases/galileo"/>
</location>
Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?
/releases/galileo does include the org.eclipse.equinox.executable feature. Perhaps it was being pulled in as an optional include from some other feature?

$ p2-list-ius http://download.eclipse.org/releases/galileo | grep org.eclipse.equinox.executable
org.eclipse.equinox.executable.feature.group=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.group=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable.feature.jar=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.jar=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn

(p2-list-ius is a script available from http://github.com/briandealwis/p2-scripts)
Eduardo Kortright
2011-09-26 16:08:48 UTC
Permalink
Hi Brian,

Thanks very much for checking for me. Let me try to get the one from galileo explicitly and see if that works.
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Monday, September 26, 2011 10:58 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository
location="http://download.eclipse.org/releases/galileo"/>
</location>
Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?
/releases/galileo does include the org.eclipse.equinox.executable feature. Perhaps it was being pulled in as an optional include from some other feature?

$ p2-list-ius http://download.eclipse.org/releases/galileo | grep org.eclipse.equinox.executable org.eclipse.equinox.executable.feature.group=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.group=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable.feature.jar=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.jar=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn

(p2-list-ius is a script available from http://github.com/briandealwis/p2-scripts)
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Eduardo Kortright
2011-09-27 16:17:31 UTC
Permalink
Well, originally (with Tycho 0.10.0), our target platform simply included this:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<repository location="http://download.eclipse.org/releases/galileo"/>
</location>

All dependencies from Galileo were satisfied automatically.

With 0.13.0, I had to begin by adding things like:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.equinox.launcher" version="1.0.201.R35x_v20090715"/>
<unit id="org.eclipse.equinox.launcher.win32.win32.x86" version="1.0.200.v20090519"/><repository location="http://download.eclipse.org/releases/galileo"/>
.
.
.
</location>

So far, I have added 163 different units by matching our application's dependencies to what is available in the Galileo site. Unfortunately, there are multiple versions of several plugins, and a blanket policy of choosing only the latest version or choosing only the earliest version does not seem to work. Normally, whatever I select introduces a dependency on a version that our application is not using, and the target platform will not resolve because it will not load two versions of the same plugin at the same time. And dependencies are not always direct (i.e., something may depend on a plugin that introduces another dependency).

I have tried switching versions on individual items, but I have a feeling that I am going around in circles. Changing one version just gives me a different error, and I have no guarantee that I'm always picking the right path.

Is there not some way of having all of this resolved automatically as it was before? Doing it by hand for a large project is simply not an option.

Thank you for your help in any case.
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Monday, September 26, 2011 10:58 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository
location="http://download.eclipse.org/releases/galileo"/>
</location>
Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?
/releases/galileo does include the org.eclipse.equinox.executable feature. Perhaps it was being pulled in as an optional include from some other feature?

$ p2-list-ius http://download.eclipse.org/releases/galileo | grep org.eclipse.equinox.executable org.eclipse.equinox.executable.feature.group=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.group=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable.feature.jar=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.jar=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn

(p2-list-ius is a script available from http://github.com/briandealwis/p2-scripts)
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Sievers, Jan
2011-09-28 07:39:48 UTC
Permalink
there are basically two options for defining the target platform of tycho projects:

1. you don't care about individual bundles and versions, just resolve everything that's available from p2 repositori(es) you build against
=> use repository entries with layout "p2" in your parent pom

2. you want control over which bundles / versions from p2 repositories are visible to the build
=> use a .target file

This is what Tobias was trying to say in
http://wiki.eclipse.org/Tycho/Release_Notes/0.13

Looks like what you want is option 1.

Regards
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Dienstag, 27. September 2011 18:18
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Well, originally (with Tycho 0.10.0), our target platform simply included this:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<repository location="http://download.eclipse.org/releases/galileo"/>
</location>

All dependencies from Galileo were satisfied automatically.

With 0.13.0, I had to begin by adding things like:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.equinox.launcher" version="1.0.201.R35x_v20090715"/>
<unit id="org.eclipse.equinox.launcher.win32.win32.x86" version="1.0.200.v20090519"/><repository location="http://download.eclipse.org/releases/galileo"/>
.
.
.
</location>

So far, I have added 163 different units by matching our application's dependencies to what is available in the Galileo site. Unfortunately, there are multiple versions of several plugins, and a blanket policy of choosing only the latest version or choosing only the earliest version does not seem to work. Normally, whatever I select introduces a dependency on a version that our application is not using, and the target platform will not resolve because it will not load two versions of the same plugin at the same time. And dependencies are not always direct (i.e., something may depend on a plugin that introduces another dependency).

I have tried switching versions on individual items, but I have a feeling that I am going around in circles. Changing one version just gives me a different error, and I have no guarantee that I'm always picking the right path.

Is there not some way of having all of this resolved automatically as it was before? Doing it by hand for a large project is simply not an option.

Thank you for your help in any case.
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Monday, September 26, 2011 10:58 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository
location="http://download.eclipse.org/releases/galileo"/>
</location>
Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?
/releases/galileo does include the org.eclipse.equinox.executable feature. Perhaps it was being pulled in as an optional include from some other feature?

$ p2-list-ius http://download.eclipse.org/releases/galileo | grep org.eclipse.equinox.executable org.eclipse.equinox.executable.feature.group=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.group=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable.feature.jar=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.jar=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn

(p2-list-ius is a script available from http://github.com/briandealwis/p2-scripts)
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Mirko Swillus
2011-09-28 09:41:18 UTC
Permalink
Hej Jan et al,
Post by Sievers, Jan
1. you don't care about individual bundles and versions, just resolve everything that's available from p2 repositori(es) you build against
=> use repository entries with layout "p2" in your parent pom
Thanks for making that clear once again. When using this option, is
there a way the Eclipse IDE (PDE) can resolve the plug-ins within this
pom-repository as well (like for other non-tycho Maven projects)?
Without a target definition the bundles remain red due to unresolved
bundle requirements.

Or do we have to maintain the .target definition either way?

Regards,
Mirko Swillus
Eduardo Kortright
2011-09-28 19:44:37 UTC
Permalink
Thank you very much for your help. I've added the Galileo repository to the parent pom and removed the corresponding location from the target file. I've also done the same with all our local P2 repositories. Tycho seems to be adding all the repositories and resolving the target platform, which is great.

However, I am still getting compilation errors. For instance:
The import org.eclipse.ui.forms cannot be resolved

The Galileo repository definitely contains these plugins:
org.eclipse.ui.forms=3.4.1.v20090714_35x
org.eclipse.ui.forms=3.4.1.v20090714_35x

I tried removing all required bundles from the .target file (even tried getting rid of the .target file altogether at one point), but I still see the same errors.

Note that seven of my modules compile just fine before hitting the module with the error in it, and some of them depend on plugins that seem to be coming from the Galilieo repository.
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Wednesday, September 28, 2011 2:40 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

there are basically two options for defining the target platform of tycho projects:

1. you don't care about individual bundles and versions, just resolve everything that's available from p2 repositori(es) you build against => use repository entries with layout "p2" in your parent pom

2. you want control over which bundles / versions from p2 repositories are visible to the build => use a .target file

This is what Tobias was trying to say in
http://wiki.eclipse.org/Tycho/Release_Notes/0.13

Looks like what you want is option 1.

Regards
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Dienstag, 27. September 2011 18:18
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Well, originally (with Tycho 0.10.0), our target platform simply included this:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit"> <repository location="http://download.eclipse.org/releases/galileo"/>
</location>

All dependencies from Galileo were satisfied automatically.

With 0.13.0, I had to begin by adding things like:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit"> <unit id="org.eclipse.equinox.launcher" version="1.0.201.R35x_v20090715"/>
<unit id="org.eclipse.equinox.launcher.win32.win32.x86" version="1.0.200.v20090519"/><repository location="http://download.eclipse.org/releases/galileo"/>
.
.
.
</location>

So far, I have added 163 different units by matching our application's dependencies to what is available in the Galileo site. Unfortunately, there are multiple versions of several plugins, and a blanket policy of choosing only the latest version or choosing only the earliest version does not seem to work. Normally, whatever I select introduces a dependency on a version that our application is not using, and the target platform will not resolve because it will not load two versions of the same plugin at the same time. And dependencies are not always direct (i.e., something may depend on a plugin that introduces another dependency).

I have tried switching versions on individual items, but I have a feeling that I am going around in circles. Changing one version just gives me a different error, and I have no guarantee that I'm always picking the right path.

Is there not some way of having all of this resolved automatically as it was before? Doing it by hand for a large project is simply not an option.

Thank you for your help in any case.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Monday, September 26, 2011 10:58 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository
location="http://download.eclipse.org/releases/galileo"/>
</location>
Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?
/releases/galileo does include the org.eclipse.equinox.executable feature. Perhaps it was being pulled in as an optional include from some other feature?

$ p2-list-ius http://download.eclipse.org/releases/galileo | grep org.eclipse.equinox.executable org.eclipse.equinox.executable.feature.group=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.group=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable.feature.jar=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.jar=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn

(p2-list-ius is a script available from http://github.com/briandealwis/p2-scripts)
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Eduardo Kortright
2011-09-29 13:57:08 UTC
Permalink
OK, I've figured out what causes some plugins not to get pulled in. In the MANIFEST.MF for the plugin that would not compile, some dependencies were listed as optional:

Require-Bundle: org.eclipse.core.runtime,
org.eclipse.core.expressions,
org.eclipse.jface.text,
org.eclipse.ui,
org.eclipse.ui.editors;resolution:=optional,
org.eclipse.ui.forms;resolution:=optional,
org.eclipse.ui.browser;resolution:=optional

I removed the ";resolution:=optional" part and now the plugin compiles with no problems. Not sure why they were marked as optional if the code actually depends on them, but that is another story. I'm reporting this here in case it helps somebody else out there.

Of course, now my product is not building for some reason. If I can't figure out what's wrong I'll be back. In any case, I really appreciate the time everyone has taken to read through my questions and offer suggestions.
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Wednesday, September 28, 2011 2:45 PM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Thank you very much for your help. I've added the Galileo repository to the parent pom and removed the corresponding location from the target file. I've also done the same with all our local P2 repositories. Tycho seems to be adding all the repositories and resolving the target platform, which is great.

However, I am still getting compilation errors. For instance:
The import org.eclipse.ui.forms cannot be resolved

The Galileo repository definitely contains these plugins:
org.eclipse.ui.forms=3.4.1.v20090714_35x
org.eclipse.ui.forms=3.4.1.v20090714_35x

I tried removing all required bundles from the .target file (even tried getting rid of the .target file altogether at one point), but I still see the same errors.

Note that seven of my modules compile just fine before hitting the module with the error in it, and some of them depend on plugins that seem to be coming from the Galilieo repository.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Wednesday, September 28, 2011 2:40 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

there are basically two options for defining the target platform of tycho projects:

1. you don't care about individual bundles and versions, just resolve everything that's available from p2 repositori(es) you build against => use repository entries with layout "p2" in your parent pom

2. you want control over which bundles / versions from p2 repositories are visible to the build => use a .target file

This is what Tobias was trying to say in
http://wiki.eclipse.org/Tycho/Release_Notes/0.13

Looks like what you want is option 1.

Regards
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Dienstag, 27. September 2011 18:18
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Well, originally (with Tycho 0.10.0), our target platform simply included this:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit"> <repository location="http://download.eclipse.org/releases/galileo"/>
</location>

All dependencies from Galileo were satisfied automatically.

With 0.13.0, I had to begin by adding things like:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit"> <unit id="org.eclipse.equinox.launcher" version="1.0.201.R35x_v20090715"/>
<unit id="org.eclipse.equinox.launcher.win32.win32.x86" version="1.0.200.v20090519"/><repository location="http://download.eclipse.org/releases/galileo"/>
.
.
.
</location>

So far, I have added 163 different units by matching our application's dependencies to what is available in the Galileo site. Unfortunately, there are multiple versions of several plugins, and a blanket policy of choosing only the latest version or choosing only the earliest version does not seem to work. Normally, whatever I select introduces a dependency on a version that our application is not using, and the target platform will not resolve because it will not load two versions of the same plugin at the same time. And dependencies are not always direct (i.e., something may depend on a plugin that introduces another dependency).

I have tried switching versions on individual items, but I have a feeling that I am going around in circles. Changing one version just gives me a different error, and I have no guarantee that I'm always picking the right path.

Is there not some way of having all of this resolved automatically as it was before? Doing it by hand for a large project is simply not an option.

Thank you for your help in any case.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Monday, September 26, 2011 10:58 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository
location="http://download.eclipse.org/releases/galileo"/>
</location>
Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?
/releases/galileo does include the org.eclipse.equinox.executable feature. Perhaps it was being pulled in as an optional include from some other feature?

$ p2-list-ius http://download.eclipse.org/releases/galileo | grep org.eclipse.equinox.executable org.eclipse.equinox.executable.feature.group=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.group=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable.feature.jar=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.jar=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn

(p2-list-ius is a script available from http://github.com/briandealwis/p2-scripts)
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Sievers, Jan
2011-09-29 14:58:24 UTC
Permalink
probably another case of
https://bugs.eclipse.org/bugs/show_bug.cgi?id=351842

see workaround in bug


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Donnerstag, 29. September 2011 15:57
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

OK, I've figured out what causes some plugins not to get pulled in. In the MANIFEST.MF for the plugin that would not compile, some dependencies were listed as optional:

Require-Bundle: org.eclipse.core.runtime,
org.eclipse.core.expressions,
org.eclipse.jface.text,
org.eclipse.ui,
org.eclipse.ui.editors;resolution:=optional,
org.eclipse.ui.forms;resolution:=optional,
org.eclipse.ui.browser;resolution:=optional

I removed the ";resolution:=optional" part and now the plugin compiles with no problems. Not sure why they were marked as optional if the code actually depends on them, but that is another story. I'm reporting this here in case it helps somebody else out there.

Of course, now my product is not building for some reason. If I can't figure out what's wrong I'll be back. In any case, I really appreciate the time everyone has taken to read through my questions and offer suggestions.
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Wednesday, September 28, 2011 2:45 PM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Thank you very much for your help. I've added the Galileo repository to the parent pom and removed the corresponding location from the target file. I've also done the same with all our local P2 repositories. Tycho seems to be adding all the repositories and resolving the target platform, which is great.

However, I am still getting compilation errors. For instance:
The import org.eclipse.ui.forms cannot be resolved

The Galileo repository definitely contains these plugins:
org.eclipse.ui.forms=3.4.1.v20090714_35x
org.eclipse.ui.forms=3.4.1.v20090714_35x

I tried removing all required bundles from the .target file (even tried getting rid of the .target file altogether at one point), but I still see the same errors.

Note that seven of my modules compile just fine before hitting the module with the error in it, and some of them depend on plugins that seem to be coming from the Galilieo repository.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Wednesday, September 28, 2011 2:40 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

there are basically two options for defining the target platform of tycho projects:

1. you don't care about individual bundles and versions, just resolve everything that's available from p2 repositori(es) you build against => use repository entries with layout "p2" in your parent pom

2. you want control over which bundles / versions from p2 repositories are visible to the build => use a .target file

This is what Tobias was trying to say in
http://wiki.eclipse.org/Tycho/Release_Notes/0.13

Looks like what you want is option 1.

Regards
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Dienstag, 27. September 2011 18:18
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Well, originally (with Tycho 0.10.0), our target platform simply included this:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit"> <repository location="http://download.eclipse.org/releases/galileo"/>
</location>

All dependencies from Galileo were satisfied automatically.

With 0.13.0, I had to begin by adding things like:
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit"> <unit id="org.eclipse.equinox.launcher" version="1.0.201.R35x_v20090715"/>
<unit id="org.eclipse.equinox.launcher.win32.win32.x86" version="1.0.200.v20090519"/><repository location="http://download.eclipse.org/releases/galileo"/>
.
.
.
</location>

So far, I have added 163 different units by matching our application's dependencies to what is available in the Galileo site. Unfortunately, there are multiple versions of several plugins, and a blanket policy of choosing only the latest version or choosing only the earliest version does not seem to work. Normally, whatever I select introduces a dependency on a version that our application is not using, and the target platform will not resolve because it will not load two versions of the same plugin at the same time. And dependencies are not always direct (i.e., something may depend on a plugin that introduces another dependency).

I have tried switching versions on individual items, but I have a feeling that I am going around in circles. Changing one version just gives me a different error, and I have no guarantee that I'm always picking the right path.

Is there not some way of having all of this resolved automatically as it was before? Doing it by hand for a large project is simply not an option.

Thank you for your help in any case.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Brian de Alwis
Sent: Monday, September 26, 2011 10:58 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*
Post by Eduardo Kortright
<location includeAllPlatforms="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.sdk.ide" version="3.5.2.M20100211-1343"/>
<repository
location="http://download.eclipse.org/releases/galileo"/>
</location>
Can you tell me what the delta pack is or how I can include it? Is this something that would have been included by Tycho 0.10-0.12 and not by 0.13?
/releases/galileo does include the org.eclipse.equinox.executable feature. Perhaps it was being pulled in as an optional include from some other feature?

$ p2-list-ius http://download.eclipse.org/releases/galileo | grep org.eclipse.equinox.executable org.eclipse.equinox.executable.feature.group=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.group=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable.feature.jar=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable.feature.jar=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.cocoa.macosx.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.ppc=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.gtk.linux.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.200.R35x_v20090724-7M-FneFF9aMTyz0pw04ONXn
org.eclipse.equinox.executable_root.win32.win32.x86_64=3.3.201.R35x_v20091211-7M-FngFELSU3Pqlv3JdZn

(p2-list-ius is a script available from http://github.com/briandealwis/p2-scripts)
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Eduardo Kortright
2011-09-29 19:11:30 UTC
Permalink
Adding the workaround for the optional bundles resolved the compilation problem.

I'm afraid I'm still having trouble with building the product, however. The http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool page says to ignore the Mirror tool warning if it is a result of a feature patch, but I don't know how to tell if that is the case. Our product is based on a feature, so useFeatures has to be true; not sure why we have plugins specified in the .product file; if their being ignored is a problem I would expect to see some reference to them, though, and there's nothing I can see.

=================== This is the maven output for the product module:

[INFO] ------------------------------------------------------------------------
[INFO] Building com.xxx.xxx.product 2.2.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ com.xxx.xxx.product ---
[INFO]
[INFO] --- tycho-packaging-plugin:0.13.0:build-qualifier (default-build-qualifier) @ com.xxx.xxx.product ---
[INFO]
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean-1) @ com.xxx.xxx.product ---
[INFO]
[INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-products (default-publish-products) @ com.xxx.xxx.product ---
[INFO] "publishing result": ["The product specifies bundles although useFeatures is true. These bundles are ignored."]
[INFO]
[INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-categories (default-publish-categories) @ com.xxx.xxx.product ---
[INFO]
[INFO] --- tycho-p2-repository-plugin:0.13.0:assemble-repository (default-assemble-repository) @ com.xxx.xxx.product ---
[WARNING] Mirror tool: "Problems resolving provisioning plan.": ["Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.source.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to toolingXXX.configuration [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.osgi.bundle.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.org.eclipse.update.feature.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to toolingXXX.application [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to config.a.jre.javase [1.6.0]."]
[WARNING] More information on the preceding warning(s) can be found here:
[WARNING] - http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool
[INFO]
[INFO] --- tycho-p2-repository-plugin:0.13.0:archive-repository (default-archive-repository) @ com.xxx.xxx.product ---
[INFO] Building zip: C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\com.xxx.xxx.product.zip
[INFO]
[INFO] --- tycho-p2-director-plugin:0.13.0:materialize-products (materialize-products) @ com.xxx.xxx.product ---
[INFO] Calling director with arguments: [-metadatarepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/targetPlatformRepository/, -artifactrepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/resolution-context-***@C:%5Cdevelopment%5Csrc%5Cxxx%5Ctrunk-tycho13%5Cxxx.client%5Ccom.xxx.xxx.product,file:/c:/development/maven/repository/, -installIU, XXX, -destination, C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\products\XXX\win32\win32\x86, -profile, DefaultProfile, -profileProperties, org.eclipse.update.install.features=true, -roaming, -p2.os, win32, -p2.ws, win32, -p2.arch, x86]
Installation failed.

=================== This is what was in the log file:

!SESSION 2011-09-29 08:48:23.515 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 08:48:23.516
!MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 12:58:12.602 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 12:58:12.613
!MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 13:16:36.140 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 13:16:36.141
!MESSAGE The installable unit XXX has not been found.
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Thursday, September 29, 2011 8:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

OK, I've figured out what causes some plugins not to get pulled in. In the MANIFEST.MF for the plugin that would not compile, some dependencies were listed as optional:

Require-Bundle: org.eclipse.core.runtime, org.eclipse.core.expressions, org.eclipse.jface.text, org.eclipse.ui, org.eclipse.ui.editors;resolution:=optional,
org.eclipse.ui.forms;resolution:=optional,
org.eclipse.ui.browser;resolution:=optional

I removed the ";resolution:=optional" part and now the plugin compiles with no problems. Not sure why they were marked as optional if the code actually depends on them, but that is another story. I'm reporting this here in case it helps somebody else out there.

Of course, now my product is not building for some reason. If I can't figure out what's wrong I'll be back. In any case, I really appreciate the time everyone has taken to read through my questions and offer suggestions.

--
Eduardo

NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Eduardo Kortright
2011-10-03 13:59:42 UTC
Permalink
Sorry to re-post the same question, but does anyone have any suggestions for what to look for? Everything compiles after removing the target platform (and adding the P2 repositories to the POM), but the product will just not build with Tycho 0.13.0.

I'm afraid I don't see anything in the build output or log that helps me know where to look for things to try.
--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Thursday, September 29, 2011 2:12 PM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Adding the workaround for the optional bundles resolved the compilation problem.

I'm afraid I'm still having trouble with building the product, however. The http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool page says to ignore the Mirror tool warning if it is a result of a feature patch, but I don't know how to tell if that is the case. Our product is based on a feature, so useFeatures has to be true; not sure why we have plugins specified in the .product file; if their being ignored is a problem I would expect to see some reference to them, though, and there's nothing I can see.

=================== This is the maven output for the product module:

[INFO] ------------------------------------------------------------------------
[INFO] Building com.xxx.xxx.product 2.2.0-SNAPSHOT [INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-packaging-plugin:0.13.0:build-qualifier (default-build-qualifier) @ com.xxx.xxx.product --- [INFO] [INFO] --- maven-clean-plugin:2.4.1:clean (default-clean-1) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-products (default-publish-products) @ com.xxx.xxx.product --- [INFO] "publishing result": ["The product specifies bundles although useFeatures is true. These bundles are ignored."] [INFO] [INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-categories (default-publish-categories) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-p2-repository-plugin:0.13.0:assemble-repository (default-assemble-repository) @ com.xxx.xxx.product --- [WARNING] Mirror tool: "Problems resolving provisioning plan.": ["Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.source.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to toolingXXX.configuration [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.osgi.bundle.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.org.eclipse.update.feature.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to toolingXXX.application [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to config.a.jre.javase [1.6.0]."] [WARNING] More information on the preceding warning(s) can be found here:
[WARNING] - http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool
[INFO]
[INFO] --- tycho-p2-repository-plugin:0.13.0:archive-repository (default-archive-repository) @ com.xxx.xxx.product --- [INFO] Building zip: C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\com.xxx.xxx.product.zip
[INFO]
[INFO] --- tycho-p2-director-plugin:0.13.0:materialize-products (materialize-products) @ com.xxx.xxx.product --- [INFO] Calling director with arguments: [-metadatarepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk
-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/targetPlatformRepository/, -artifactrepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/develop
ment/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.cli
ent/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/resolution-context-***@C:%5Cdevelopment%5Csrc%5Cxxx%5Ctrunk-tycho13%5Cxxx.client%5Ccom.xxx.xxx.product,file:/c:/development/maven/repository/, -installIU, XXX, -destination, C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\products\XXX\win32\win32\x86, -profile, DefaultProfile, -profileProperties, org.eclipse.update.install.features=true, -roaming, -p2.os, win32, -p2.ws, win32, -p2.arch, x86] Installation failed.

=================== This is what was in the log file:

!SESSION 2011-09-29 08:48:23.515 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 08:48:23.516 !MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 12:58:12.602 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 12:58:12.613 !MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 13:16:36.140 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 13:16:36.141 !MESSAGE The installable unit XXX has not been found.


--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Thursday, September 29, 2011 8:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

OK, I've figured out what causes some plugins not to get pulled in. In the MANIFEST.MF for the plugin that would not compile, some dependencies were listed as optional:

Require-Bundle: org.eclipse.core.runtime, org.eclipse.core.expressions, org.eclipse.jface.text, org.eclipse.ui, org.eclipse.ui.editors;resolution:=optional,
org.eclipse.ui.forms;resolution:=optional,
org.eclipse.ui.browser;resolution:=optional

I removed the ";resolution:=optional" part and now the plugin compiles with no problems. Not sure why they were marked as optional if the code actually depends on them, but that is another story. I'm reporting this here in case it helps somebody else out there.

Of course, now my product is not building for some reason. If I can't figure out what's wrong I'll be back. In any case, I really appreciate the time everyone has taken to read through my questions and offer suggestions.

--
Eduardo

NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Eduardo Kortright
2011-10-07 17:03:40 UTC
Permalink
OK, I finally figured out why the product was not building. There were plugins specified in the .product file even though it had useFeatures=true; as soon as I removed the plugins, the build succeeded. The log message
[INFO] "publishing result": ["The product specifies bundles although useFeatures is true. These bundles are ignored."]
should probably be an error so that one knows that they need to be removed.

So now I have my entire application building with Tycho 0.13.0, and I can finally answer the original question: are the native launchers are being included by Tycho 0.13.0 when the .product file specifies useLaunchers=true? The answer is, yes, but not in the generated P2 repository for the product. The launchers *are* being added to the zip file containing the executable (one as a plugin, the other in exploded form), but again they are missing from the P2 repository.

The reason we need the launchers as plugins (jars) is because we launch our product via JNLP and we get the plugins from the generated P2 repository.

What I've done is to add the lines:
<plugin id="org.eclipse.equinox.launcher" download-size="0" install-size="0" version="0.0.0" unpack="false"/>
<plugin id="org.eclipse.equinox.launcher.win32.win32.x86" download-size="0" install-size="0" version="0.0.0" unpack="false"/>
to the feature.xml. This makes the plugins show up in the P2 repository as they used to by default in 0.10.0.

My question for you all is, do you see any problem with doing this? Is this the correct way to do this in 0.13.0?

Thanks again for your help and patience.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Monday, October 03, 2011 9:00 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Sorry to re-post the same question, but does anyone have any suggestions for what to look for? Everything compiles after removing the target platform (and adding the P2 repositories to the POM), but the product will just not build with Tycho 0.13.0.

I'm afraid I don't see anything in the build output or log that helps me know where to look for things to try.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Thursday, September 29, 2011 2:12 PM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Adding the workaround for the optional bundles resolved the compilation problem.

I'm afraid I'm still having trouble with building the product, however. The http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool page says to ignore the Mirror tool warning if it is a result of a feature patch, but I don't know how to tell if that is the case. Our product is based on a feature, so useFeatures has to be true; not sure why we have plugins specified in the .product file; if their being ignored is a problem I would expect to see some reference to them, though, and there's nothing I can see.

=================== This is the maven output for the product module:

[INFO] ------------------------------------------------------------------------
[INFO] Building com.xxx.xxx.product 2.2.0-SNAPSHOT [INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-packaging-plugin:0.13.0:build-qualifier (default-build-qualifier) @ com.xxx.xxx.product --- [INFO] [INFO] --- maven-clean-plugin:2.4.1:clean (default-clean-1) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-products (default-publish-products) @ com.xxx.xxx.product --- [INFO] "publishing result": ["The product specifies bundles although useFeatures is true. These bundles are ignored."] [INFO] [INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-categories (default-publish-categories) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-p2-repository-plugin:0.13.0:assemble-repository (default-assemble-repository) @ com.xxx.xxx.product --- [WARNING] Mirror tool: "Problems resolving provisioning plan.": ["Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.source.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291
346 to toolingXXX.configuration [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.osgi.bundle.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.org.eclipse.update.feature.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to toolingXXX.application [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to config.a.jre.javase [1.6.0]."] [WARNING] More information on the preceding warning(s) can be found here:
[WARNING] - http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool
[INFO]
[INFO] --- tycho-p2-repository-plugin:0.13.0:archive-repository (default-archive-repository) @ com.xxx.xxx.product --- [INFO] Building zip: C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\com.xxx.xxx.product.zip
[INFO]
[INFO] --- tycho-p2-director-plugin:0.13.0:materialize-products (materialize-products) @ com.xxx.xxx.product --- [INFO] Calling director with arguments: [-metadatarepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/deve
lopment/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk
-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/targetPlatformRepository/, -artifactrepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/develop
ment/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.cli
ent/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/resolution-context-***@C:%5Cdevelopment%5Csrc%5Cxxx%5Ctrunk-tycho13%5Cxxx.client%5Ccom.xxx.xxx.product,file:/c:/development/maven/repository/, -installIU, XXX, -destination, C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\products\XXX\win32\win32\x86, -profile, DefaultProfile, -profileProperties, org.eclipse.update.install.features=true, -roaming, -p2.os, win32, -p2.ws, win32, -p2.arch, x86] Installation failed.

=================== This is what was in the log file:

!SESSION 2011-09-29 08:48:23.515 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 08:48:23.516 !MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 12:58:12.602 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 12:58:12.613 !MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 13:16:36.140 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 13:16:36.141 !MESSAGE The installable unit XXX has not been found.


--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Thursday, September 29, 2011 8:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

OK, I've figured out what causes some plugins not to get pulled in. In the MANIFEST.MF for the plugin that would not compile, some dependencies were listed as optional:

Require-Bundle: org.eclipse.core.runtime, org.eclipse.core.expressions, org.eclipse.jface.text, org.eclipse.ui, org.eclipse.ui.editors;resolution:=optional,
org.eclipse.ui.forms;resolution:=optional,
org.eclipse.ui.browser;resolution:=optional

I removed the ";resolution:=optional" part and now the plugin compiles with no problems. Not sure why they were marked as optional if the code actually depends on them, but that is another story. I'm reporting this here in case it helps somebody else out there.

Of course, now my product is not building for some reason. If I can't figure out what's wrong I'll be back. In any case, I really appreciate the time everyone has taken to read through my questions and offer suggestions.

--
Eduardo

NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Sievers, Jan
2011-10-10 09:56:39 UTC
Permalink
Only the transitively *included* dependencies are added to the p2 repository by default.
So you can either explictly include the launchers into your .product, as you did below.

Another option is to make the whole p2 repo self-contained using
<build>
<plugins>
<plugin>
<groupId>org.eclipse.tycho</groupId>
<artifactId>tycho-p2-repository-plugin</artifactId>
<version>${tycho-version}</version>
<configuration>
<includeAllDependencies>true</includeAllDependencies>
</configuration>
</plugin>
</plugins>
</build>

this will drag in all transitive dependencies (including launchers).
not sure if this is what you want though.

Regards
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Freitag, 7. Oktober 2011 19:04
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

OK, I finally figured out why the product was not building. There were plugins specified in the .product file even though it had useFeatures=true; as soon as I removed the plugins, the build succeeded. The log message
[INFO] "publishing result": ["The product specifies bundles although useFeatures is true. These bundles are ignored."]
should probably be an error so that one knows that they need to be removed.

So now I have my entire application building with Tycho 0.13.0, and I can finally answer the original question: are the native launchers are being included by Tycho 0.13.0 when the .product file specifies useLaunchers=true? The answer is, yes, but not in the generated P2 repository for the product. The launchers *are* being added to the zip file containing the executable (one as a plugin, the other in exploded form), but again they are missing from the P2 repository.

The reason we need the launchers as plugins (jars) is because we launch our product via JNLP and we get the plugins from the generated P2 repository.

What I've done is to add the lines:
<plugin id="org.eclipse.equinox.launcher" download-size="0" install-size="0" version="0.0.0" unpack="false"/>
<plugin id="org.eclipse.equinox.launcher.win32.win32.x86" download-size="0" install-size="0" version="0.0.0" unpack="false"/>
to the feature.xml. This makes the plugins show up in the P2 repository as they used to by default in 0.10.0.

My question for you all is, do you see any problem with doing this? Is this the correct way to do this in 0.13.0?

Thanks again for your help and patience.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Monday, October 03, 2011 9:00 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Sorry to re-post the same question, but does anyone have any suggestions for what to look for? Everything compiles after removing the target platform (and adding the P2 repositories to the POM), but the product will just not build with Tycho 0.13.0.

I'm afraid I don't see anything in the build output or log that helps me know where to look for things to try.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Thursday, September 29, 2011 2:12 PM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Adding the workaround for the optional bundles resolved the compilation problem.

I'm afraid I'm still having trouble with building the product, however. The http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool page says to ignore the Mirror tool warning if it is a result of a feature patch, but I don't know how to tell if that is the case. Our product is based on a feature, so useFeatures has to be true; not sure why we have plugins specified in the .product file; if their being ignored is a problem I would expect to see some reference to them, though, and there's nothing I can see.

=================== This is the maven output for the product module:

[INFO] ------------------------------------------------------------------------
[INFO] Building com.xxx.xxx.product 2.2.0-SNAPSHOT [INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-packaging-plugin:0.13.0:build-qualifier (default-build-qualifier) @ com.xxx.xxx.product --- [INFO] [INFO] --- maven-clean-plugin:2.4.1:clean (default-clean-1) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-products (default-publish-products) @ com.xxx.xxx.product --- [INFO] "publishing result": ["The product specifies bundles although useFeatures is true. These bundles are ignored."] [INFO] [INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-categories (default-publish-categories) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-p2-repository-plugin:0.13.0:assemble-repository (default-assemble-repository) @ com.xxx.xxx.product --- [WARNING] Mirror tool: "Problems resolving provisioning plan.": ["Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.source.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291
346 to toolingXXX.configuration [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.osgi.bundle.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.org.eclipse.update.feature.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to toolingXXX.application [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to config.a.jre.javase [1.6.0]."] [WARNING] More information on the preceding warning(s) can be found here:
[WARNING] - http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool
[INFO]
[INFO] --- tycho-p2-repository-plugin:0.13.0:archive-repository (default-archive-repository) @ com.xxx.xxx.product --- [INFO] Building zip: C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\com.xxx.xxx.product.zip
[INFO]
[INFO] --- tycho-p2-director-plugin:0.13.0:materialize-products (materialize-products) @ com.xxx.xxx.product --- [INFO] Calling director with arguments: [-metadatarepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/deve
lopment/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk
-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/targetPlatformRepository/, -artifactrepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/develop
ment/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.cli
ent/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/resolution-context-***@C:%5Cdevelopment%5Csrc%5Cxxx%5Ctrunk-tycho13%5Cxxx.client%5Ccom.xxx.xxx.product,file:/c:/development/maven/repository/, -installIU, XXX, -destination, C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\products\XXX\win32\win32\x86, -profile, DefaultProfile, -profileProperties, org.eclipse.update.install.features=true, -roaming, -p2.os, win32, -p2.ws, win32, -p2.arch, x86] Installation failed.

=================== This is what was in the log file:

!SESSION 2011-09-29 08:48:23.515 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 08:48:23.516 !MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 12:58:12.602 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 12:58:12.613 !MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 13:16:36.140 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 13:16:36.141 !MESSAGE The installable unit XXX has not been found.


--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Thursday, September 29, 2011 8:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

OK, I've figured out what causes some plugins not to get pulled in. In the MANIFEST.MF for the plugin that would not compile, some dependencies were listed as optional:

Require-Bundle: org.eclipse.core.runtime, org.eclipse.core.expressions, org.eclipse.jface.text, org.eclipse.ui, org.eclipse.ui.editors;resolution:=optional,
org.eclipse.ui.forms;resolution:=optional,
org.eclipse.ui.browser;resolution:=optional

I removed the ";resolution:=optional" part and now the plugin compiles with no problems. Not sure why they were marked as optional if the code actually depends on them, but that is another story. I'm reporting this here in case it helps somebody else out there.

Of course, now my product is not building for some reason. If I can't figure out what's wrong I'll be back. In any case, I really appreciate the time everyone has taken to read through my questions and offer suggestions.

--
Eduardo

NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Eduardo Kortright
2011-10-10 18:51:05 UTC
Permalink
I tried with the includeAllDependencies=true option, just to see what would happen, and got my launchers plus about 518 more plugins in the repository! :^)

So I think I will stick with explicitly listing the launchers in the feature.xml.

Thank you once again for all your help.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Monday, October 10, 2011 4:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Only the transitively *included* dependencies are added to the p2 repository by default.
So you can either explictly include the launchers into your .product, as you did below.

Another option is to make the whole p2 repo self-contained using
<build>
<plugins>
<plugin>
<groupId>org.eclipse.tycho</groupId>
<artifactId>tycho-p2-repository-plugin</artifactId>
<version>${tycho-version}</version>
<configuration>
<includeAllDependencies>true</includeAllDependencies>
</configuration>
</plugin>
</plugins>
</build>

this will drag in all transitive dependencies (including launchers).
not sure if this is what you want though.

Regards
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Freitag, 7. Oktober 2011 19:04
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

OK, I finally figured out why the product was not building. There were plugins specified in the .product file even though it had useFeatures=true; as soon as I removed the plugins, the build succeeded. The log message
[INFO] "publishing result": ["The product specifies bundles although useFeatures is true. These bundles are ignored."] should probably be an error so that one knows that they need to be removed.

So now I have my entire application building with Tycho 0.13.0, and I can finally answer the original question: are the native launchers are being included by Tycho 0.13.0 when the .product file specifies useLaunchers=true? The answer is, yes, but not in the generated P2 repository for the product. The launchers *are* being added to the zip file containing the executable (one as a plugin, the other in exploded form), but again they are missing from the P2 repository.

The reason we need the launchers as plugins (jars) is because we launch our product via JNLP and we get the plugins from the generated P2 repository.

What I've done is to add the lines:
<plugin id="org.eclipse.equinox.launcher" download-size="0" install-size="0" version="0.0.0" unpack="false"/>
<plugin id="org.eclipse.equinox.launcher.win32.win32.x86" download-size="0" install-size="0" version="0.0.0" unpack="false"/> to the feature.xml. This makes the plugins show up in the P2 repository as they used to by default in 0.10.0.

My question for you all is, do you see any problem with doing this? Is this the correct way to do this in 0.13.0?

Thanks again for your help and patience.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Monday, October 03, 2011 9:00 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Sorry to re-post the same question, but does anyone have any suggestions for what to look for? Everything compiles after removing the target platform (and adding the P2 repositories to the POM), but the product will just not build with Tycho 0.13.0.

I'm afraid I don't see anything in the build output or log that helps me know where to look for things to try.

--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Thursday, September 29, 2011 2:12 PM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

Adding the workaround for the optional bundles resolved the compilation problem.

I'm afraid I'm still having trouble with building the product, however. The http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool page says to ignore the Mirror tool warning if it is a result of a feature patch, but I don't know how to tell if that is the case. Our product is based on a feature, so useFeatures has to be true; not sure why we have plugins specified in the .product file; if their being ignored is a problem I would expect to see some reference to them, though, and there's nothing I can see.

=================== This is the maven output for the product module:

[INFO] ------------------------------------------------------------------------
[INFO] Building com.xxx.xxx.product 2.2.0-SNAPSHOT [INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-packaging-plugin:0.13.0:build-qualifier (default-build-qualifier) @ com.xxx.xxx.product --- [INFO] [INFO] --- maven-clean-plugin:2.4.1:clean (default-clean-1) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-products (default-publish-products) @ com.xxx.xxx.product --- [INFO] "publishing result": ["The product specifies bundles although useFeatures is true. These bundles are ignored."] [INFO] [INFO] --- tycho-p2-publisher-plugin:0.13.0:publish-categories (default-publish-categories) @ com.xxx.xxx.product --- [INFO] [INFO] --- tycho-p2-repository-plugin:0.13.0:assemble-repository (default-assemble-repository) @ com.xxx.xxx.product --- [WARNING] Mirror tool: "Problems resolving provisioning plan.": ["Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.source.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291
346 to toolingXXX.configuration [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.osgi.bundle.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to tooling.org.eclipse.update.feature.default [1.0.0].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to toolingXXX.application [2.2.0.2291346].", "Unable to satisfy dependency from XXX 2.2.0.2291346 to config.a.jre.javase [1.6.0]."] [WARNING] More information on the preceding warning(s) can be found here:
[WARNING] - http://wiki.eclipse.org/Tycho_Messages_Explained#Mirror_tool
[INFO]
[INFO] --- tycho-p2-repository-plugin:0.13.0:archive-repository (default-archive-repository) @ com.xxx.xxx.product --- [INFO] Building zip: C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\com.xxx.xxx.product.zip
[INFO]
[INFO] --- tycho-p2-director-plugin:0.13.0:materialize-products (materialize-products) @ com.xxx.xxx.product --- [INFO] Calling director with arguments: [-metadatarepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/deve
lopment/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk
-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/targetPlatformRepository/, -artifactrepository, file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.product/target/publisherRepository/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.core/target/,file:/C:/develop
ment/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.client/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.monitor.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.help/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.net/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.context.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.feature/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.cli
ent/com.xxx.xxx.tasks.core/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.exams/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.tasks.ui/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.imaging/target/,file:/C:/development/src/xxx/trunk-tycho13/xxx.client/com.xxx.xxx.tasks.commons.ui/target/,file:/resolution-context-***@C:%5Cdevelopment%5Csrc%5Cxxx%5Ctrunk-tycho13%5Cxxx.client%5Ccom.xxx.xxx.product,file:/c:/development/maven/repository/, -installIU, XXX, -destination, C:\development\src\xxx\trunk-tycho13\xxx.client\com.xxx.xxx.product\target\products\XXX\win32\win32\x86, -profile, DefaultProfile, -profileProperties, org.eclipse.update.install.features=true, -roaming, -p2.os, win32, -p2.ws, win32, -p2.arch, x86] Installation failed.

=================== This is what was in the log file:

!SESSION 2011-09-29 08:48:23.515 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho159229278620251651secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 08:48:23.516 !MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 12:58:12.602 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho6225822562785798681secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 12:58:12.613 !MESSAGE The installable unit XXX has not been found.
!SESSION 2011-09-29 13:16:36.140 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_24
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage
Command-line arguments: -eclipse.keyring C:\development\cygwin\tmp\tycho4306779946876740293secure_storage

!ENTRY org.eclipse.equinox.p2.director.app 4 0 2011-09-29 13:16:36.141 !MESSAGE The installable unit XXX has not been found.


--
Eduardo

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Eduardo Kortright
Sent: Thursday, September 29, 2011 8:57 AM
To: Tycho user list
Subject: Re: [tycho-user] Tycho product not including native launchers in 0.11.*

OK, I've figured out what causes some plugins not to get pulled in. In the MANIFEST.MF for the plugin that would not compile, some dependencies were listed as optional:

Require-Bundle: org.eclipse.core.runtime, org.eclipse.core.expressions, org.eclipse.jface.text, org.eclipse.ui, org.eclipse.ui.editors;resolution:=optional,
org.eclipse.ui.forms;resolution:=optional,
org.eclipse.ui.browser;resolution:=optional

I removed the ";resolution:=optional" part and now the plugin compiles with no problems. Not sure why they were marked as optional if the code actually depends on them, but that is another story. I'm reporting this here in case it helps somebody else out there.

Of course, now my product is not building for some reason. If I can't figure out what's wrong I'll be back. In any case, I really appreciate the time everyone has taken to read through my questions and offer suggestions.

--
Eduardo

NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended exclusively for the individual or entity to which it is addressed. The message, together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution is strictly prohibited. If you have received this message in error, please immediately advise the sender by reply email and delete all copies.

_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user
NOTICE: This electronic mail message and any files transmitted with it are intended
exclusively for the individual or entity to which it is addressed. The message,
together with any attachment, may contain confidential and/or privileged information.
Any unauthorized review, use, printing, saving, copying, disclosure or distribution
is strictly prohibited. If you have received this message in error, please
immediately advise the sender by reply email and delete all copies.
Continue reading on narkive:
Loading...